Next Commerce
API ReferenceStorefront

Pages Update

Update an existing page.

PUT
/pages/{id}/

Authorization

oauth2 content:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: content:write

Path Parameters

id*integer

A unique integer value identifying this flat page.

Header Parameters

X-29next-API-Version*string
Default"2024-04-01"
Value in"2024-04-01"

Request Body

content?string
meta_description?|
meta_title?|
metadata?|
slug?|
template?|

Custom template name from your theme, ie pages/page.{custom_name}.html

title*string
Lengthlength <= 200

Response Body

application/json

curl -X PUT "https://example.29next.store/api/admin/pages/0/" \
  -H "X-29next-API-Version: 2024-04-01" \
  -H "Authorization: Bearer " \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string"
  }'
{
  "content": "string",
  "id": 0,
  "meta_description": "string",
  "meta_title": "string",
  "metadata": {},
  "slug": "string",
  "template": "string",
  "title": "string"
}